>From 3824b1cac57d418b1853ca025ed981a178149315 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Filip=20Ros=C3=A9en?= <filip@atch.se>
Date: Wed, 12 Oct 2016 13:04:36 +0200
Subject: [PATCH] demux/adaptive: add static_assert related to module options

It is better to be safe than sorry, and as the current implementation assumes
all of the three arrays have the same number of elements without an explicit
check to see that this is the case - a static_assert should prevent future
brainfarts.
---
 modules/demux/adaptive/adaptive.cpp | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/modules/demux/adaptive/adaptive.cpp b/modules/demux/adaptive/adaptive.cpp
index 1430ee1..3ad44fc 100644
--- a/modules/demux/adaptive/adaptive.cpp
+++ b/modules/demux/adaptive/adaptive.cpp
@@ -98,6 +98,12 @@ static const char *const ppsz_logics[] = { N_("Default"),
                                            N_("Lowest Bandwidth/Quality"),
                                            N_("Highest Bandwidth/Quality")};
 
+static_assert( ARRAY_SIZE( pi_logics ) == ARRAY_SIZE( ppsz_logics ),
+    "pi_logics and ppsz_logics shall have the same number of elements" );
+
+static_assert( ARRAY_SIZE( pi_logics ) == ARRAY_SIZE( ppsz_logics_values ),
+    "pi_logics and ppsz_logics_values shall have the same number of elements" );
+
 vlc_module_begin ()
         set_shortname( N_("Adaptive"))
         set_description( N_("Unified adaptive streaming for DASH/HLS") )
-- 
2.10.0

